Skip to content

Delete a Post-Appointment Message Template

DELETE
/businesses/{businessId}/notifications/post-appointment-message-templates/{postAppointmentMessageTemplateId}
curl --request DELETE \
--url https://api.upvio.com/v1/businesses/example/notifications/post-appointment-message-templates/example \
--header 'Authorization: Bearer <token>'

Soft-delete a post-appointment message template.

businessId
required

The ID of the Business.

string
postAppointmentMessageTemplateId
required

The ID of the Post-Appointment Message Template.

string

Confirmation of deletion.

The post-appointment message template ID is malformed.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: BadRequestError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 400,
"type": "BadRequestError",
"title": "Invalid platformId format."
}
}

The API key is missing or invalid, or the Business cannot be accessed with it.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: UnauthorizedError BusinessArchivedError BusinessDisabledError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 403,
"type": "UnauthorizedError",
"title": "Invalid API token"
}
}

The post-appointment message template does not exist.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: NotFoundError BusinessNotFoundError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 404,
"type": "NotFoundError",
"title": "Post-Appointment Message Template not found"
}
}